IfTrueAttribute.Unless (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.attribute, class: IfTrueAttribute, class: Unless

# Class IfTrueAttribute.Unless

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.attribute.BaseIfAttribute
org.apache.tools.ant.attribute.IfTrueAttribute
org.apache.tools.ant.attribute.IfTrueAttribute.Unless

All Implemented Interfaces:
  `Cloneable, EnableAttribute`

Enclosing class:
  `IfTrueAttribute`

public static class IfTrueAttribute.Unless extends IfTrueAttribute
The unless version

Since:
  Ant 1.9.1

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class IfTrueAttribute

  `IfTrueAttribute.Unless`
  Modifier and Type
  Class
  Description
  `static class`
  `IfTrueAttribute.Unless`
  The unless version

- ## Field Summary

  ### Fields inherited from class ProjectComponent

  `description, location, project`
  Modifier and Type
  Field
  Description
  `protected String`
  `description`
  Deprecated.
  since 1.6.x.
  `protected Location`
  `location`
  Deprecated.
  since 1.6.x.
  `protected Project`
  `project`
  Deprecated.
  since 1.6.x.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Unless()`

- ## Method Summary

  ### Methods inherited from class IfTrueAttribute

  `isEnabled`
  Modifier and Type
  Method
  Description
  `boolean`
  `isEnabled(UnknownElement el, String value)`
  check if the attribute value is true or not is enabled.

  ### Methods inherited from class BaseIfAttribute

  `convertResult, getParams, isPositive, setPositive`
  Modifier and Type
  Method
  Description
  `protected boolean`
  `convertResult(boolean val)`
  convert the result.
  `protected Map<String,String>`
  `getParams(UnknownElement el)`
  Get all the attributes in the ant-attribute:param namespace and place them in a map.
  `protected boolean`
  `isPositive()`
  Get the positive flag.
  `protected void`
  `setPositive(boolean positive)`
  Set the positive flag.

  ### Methods inherited from class ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`
  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `String`
  `getDescription()`
  Returns the description of the current action.
  `Location`
  `getLocation()`
  Returns the file/location where this task was defined.
  `Project`
  `getProject()`
  Returns the project to which this component belongs.
  `void`
  `log(String msg)`
  Logs a message with the default (INFO) priority.
  `void`
  `log(String msg, int msgLevel)`
  Logs a message with the given priority.
  `void`
  `setDescription(String desc)`
  Sets a description of the current action.
  `void`
  `setLocation(Location location)`
  Sets the file/location where this task was defined.
  `void`
  `setProject(Project project)`
  Sets the project object of this component.

  ### Methods inherited from class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Unless

    public Unless()